#debuginfo not supported with Go
%global debug_package %{nil}
%global gopath  %{_datadir}/gocode

%global commit      b31df169159ae562b24bee6e6851e5deaef10353
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           geard
Version:        0
Release:        0.3.git%{shortcommit}%{?dist}
Summary:        CLI client for installing Docker images as containers
License:        ASL 2.0
URL:            http://github.com/openshift/geard
ExclusiveArch:  x86_64
Source0:        https://github.com/openshift/geard/archive/%{commit}/geard-%{shortcommit}.tar.gz
# ensure build uses golang 1.2-7 and above
BuildRequires:  gcc
BuildRequires:  golang >= 1.2-7
BuildRequires:  golang(github.com/fsouza/go-dockerclient)
BuildRequires:  golang(github.com/godbus/dbus)
BuildRequires:  golang(github.com/kraman/libcontainer)
BuildRequires:  golang(github.com/openshift/go-json-rest)
BuildRequires:  golang(github.com/openshift/go-systemd/dbus)
BuildRequires:  golang(github.com/spf13/cobra)
BuildRequires:  golang(github.com/spf13/pflag)
BuildRequires:  golang(github.com/syndtr/gocapability/capability)
BuildRequires:  libselinux-devel

BuildRequires:  pkgconfig(systemd)
Requires:       systemd-units
Requires:       docker-io

%description
geard is a command line client for installing Docker images as containers
onto a systemd-enabled Linux operating system (systemd 207 or newer).

%prep
%setup -q -n geard-%{commit}

%build
mkdir _build

pushd _build
  mkdir -p src/github.com/openshift
  ln -s $(dirs +1 -l) src/github.com/openshift/geard
popd

export GOPATH=$(pwd)/_build
contrib/build -s -l

%install
# install binary
install -d %{buildroot}%{_bindir}
install -p -m 4755 _build/bin/switchns %{buildroot}%{_bindir}
install -p -m 755 _build/bin/gear %{buildroot}%{_bindir}
install -d %{buildroot}%{_sbindir}
install -p -m 755 _build/bin/gear-auth-keys-command %{buildroot}%{_sbindir}
# install unitfile
install -d %{buildroot}%{_unitdir}
install -p -m 644 contrib/geard.service %{buildroot}%{_unitdir}

install -d -p %{buildroot}%{_sharedstatedir}/containers

%pre

%post
%systemd_post geard.service

%preun
%systemd_preun geard.service

%postun
%systemd_postun_with_restart geard.service

%files
%defattr(-,root,root,-)
%doc README.md
%{_bindir}/gear
%{_bindir}/switchns
%{_sbindir}/gear-auth-keys-command
%{_unitdir}/geard.service
%dir %{_sharedstatedir}/containers

%changelog
* Sat Apr 12 2014 Lokesh Mandvekar <lsm5@redhat.com> - 0-0.3.git
- update description
- remove unused conditionals and comments

* Sat Apr 12 2014 Lokesh Mandvekar <lsm5@redhat.com> - 0-0.2.git
- Bug 1086378 - cleanup as per package review

* Mon Apr 07 2014 Lokesh Mandvekar <lsm5@redhat.com> - 0-0.1.git
- initial package
